package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[服务启动模式]
 */
@Component("ionicdemo_ServiceStartModeCodeList")
public class ServiceStartModeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_ServiceStartMode");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("AUTO");
		item0.setId("AUTO");
		item0.setText("自动");
		item0.setLabel("自动");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("AUTO",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("MANUAL");
		item1.setId("MANUAL");
		item1.setText("手动");
		item1.setLabel("手动");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("MANUAL",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}